# Uses of Interface
java.nio.file.attribute.FileAttributeView

Packages that use FileAttributeView
Package
Description
java.nio.file
Defines interfaces and classes for the Java virtual machine to access files, file attributes, and file systems.
java.nio.file.attribute
Interfaces and classes providing access to file and file system attributes.
java.nio.file.spi
Service-provider classes for the `java.nio.file` package.

## Uses of FileAttributeView in java.nio.file

Methods in java.nio.file with type parameters of type FileAttributeView
Modifier and Type
Method
Description
`static <V extends FileAttributeView>
V`
Files.`getFileAttributeView(Path path, Class<V> type, LinkOption... options)`
Returns a file attribute view of a given type.
`<V extends FileAttributeView>
V`
SecureDirectoryStream.`getFileAttributeView(Class<V> type)`
Returns a new file attribute view to access the file attributes of this directory.
`<V extends FileAttributeView>
V`
SecureDirectoryStream.`getFileAttributeView(T path, Class<V> type, LinkOption... options)`
Returns a new file attribute view to access the file attributes of a file in this directory.
Method parameters in java.nio.file with type arguments of type FileAttributeView
Modifier and Type
Method
Description
`abstract boolean`
FileStore.`supportsFileAttributeView(Class<? extends FileAttributeView> type)`
Tells whether or not this file store supports the file attributes identified by the given file attribute view.

## Uses of FileAttributeView in java.nio.file.attribute

Subinterfaces of FileAttributeView in java.nio.file.attribute
Modifier and Type
Interface
Description
`interface`
`AclFileAttributeView`
A file attribute view that supports reading or updating a file's Access Control Lists (ACL) or file owner attributes.
`interface`
`BasicFileAttributeView`
A file attribute view that provides a view of a basic set of file attributes common to many file systems.
`interface`
`DosFileAttributeView`
A file attribute view that provides a view of the legacy "DOS" file attributes.
`interface`
`FileOwnerAttributeView`
A file attribute view that supports reading or updating the owner of a file.
`interface`
`PosixFileAttributeView`
A file attribute view that provides a view of the file attributes commonly associated with files on file systems used by operating systems that implement the Portable Operating System Interface (POSIX) family of standards.
`interface`
`UserDefinedFileAttributeView`
A file attribute view that provides a view of a file's user-defined attributes, sometimes known as extended attributes.

## Uses of FileAttributeView in java.nio.file.spi

Methods in java.nio.file.spi with type parameters of type FileAttributeView
Modifier and Type
Method
Description
`abstract <V extends FileAttributeView>
V`
FileSystemProvider.`getFileAttributeView(Path path, Class<V> type, LinkOption... options)`
Returns a file attribute view of a given type.